Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032870
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2016-05-05 10:482016-06-17 19:37
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision33497f786cd5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032870: Add log information in HttpSecureAppServlet when role has not access

DescriptionAdd log information in HttpSecureAppServlet when role has not access. This can be useful in some cases (manual windows) where this error can not be identified easily.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0032398 closedalostale Role with Organization user level cannot see data in System/Client tables even if granted 

-  Notes
(0086209)
hgbot (developer)
2016-05-05 11:26

Repository: erp/devel/pi
Changeset: 33497f786cd5c3e6d632c6e5f0d900e40e7b6181
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu May 05 10:54:05 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33497f786cd5c3e6d632c6e5f0d900e40e7b6181 [^]

fixes issue 32870: Add log info in HttpSecureAppServlet if role has not access

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
---
(0086235)
alostale (developer)
2016-05-06 09:15

Reopening in code review, see https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0086238)
hgbot (developer)
2016-05-06 09:39

Repository: erp/devel/pi
Changeset: 14e14d88f186ccdc46f6aad4d113fa37204326bb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri May 06 09:38:49 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/14e14d88f186ccdc46f6aad4d113fa37204326bb [^]

related to issue 32870: code review improvements

---
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
---
(0086239)
alostale (developer)
2016-05-06 09:44

reviewed
(0087521)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087526)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-05 10:48 caristu New Issue
2016-05-05 10:48 caristu Assigned To => caristu
2016-05-05 10:48 caristu Modules => Core
2016-05-05 10:48 caristu Triggers an Emergency Pack => No
2016-05-05 11:25 caristu Relationship added related to 0032398
2016-05-05 11:26 hgbot Checkin
2016-05-05 11:26 hgbot Note Added: 0086209
2016-05-05 11:26 hgbot Status new => resolved
2016-05-05 11:26 hgbot Resolution open => fixed
2016-05-05 11:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/33497f786cd5c3e6d632c6e5f0d900e40e7b6181 [^]
2016-05-05 11:26 caristu Review Assigned To => alostale
2016-05-06 09:15 alostale Note Added: 0086235
2016-05-06 09:15 alostale Status resolved => new
2016-05-06 09:15 alostale Resolution fixed => open
2016-05-06 09:39 hgbot Checkin
2016-05-06 09:39 hgbot Note Added: 0086238
2016-05-06 09:40 caristu Status new => scheduled
2016-05-06 09:40 caristu Status scheduled => resolved
2016-05-06 09:40 caristu Resolution open => fixed
2016-05-06 09:44 alostale Note Added: 0086239
2016-05-06 09:44 alostale Status resolved => closed
2016-05-06 09:44 alostale Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087521
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087526


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker